# Class CIM_LinkHasConnector
extends CIM_Component

Cables and Links utilize PhysicalConnectors to actually 'connect' PhysicalElements. This association explicitly defines this relationship of Connectors for PhysicalLinks.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_LinkHasConnector

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | Cables and Links utilize PhysicalConnectors to actually 'connect' PhysicalElements. This association explicitly defines this relationship of Connectors for PhysicalLinks.
UMLPackagePath | string | CIM::Physical::Link
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_LinkHasConnector | CIM_PhysicalLink
PartComponent | CIM_LinkHasConnector | CIM_PhysicalConnector

## Class Methods